Click or drag to resize

BrepCreateChamferSurface Method (BrepFace, Point2d, Double, BrepFace, Point2d, Double, Boolean, Double)

Creates a ruled surface as a bevel between two input surface edges.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateChamferSurface(
	BrepFace face0,
	Point2d uv0,
	double radius0,
	BrepFace face1,
	Point2d uv1,
	double radius1,
	bool extend,
	double tolerance
)

Parameters

face0
Type: Rhino.GeometryBrepFace
First face to chamfer from.
uv0
Type: Rhino.GeometryPoint2d
A parameter face0 at the side you want to keep after chamfering.
radius0
Type: SystemDouble
The distance from the intersection of face0 to the edge of the chamfer.
face1
Type: Rhino.GeometryBrepFace
Second face to chamfer from.
uv1
Type: Rhino.GeometryPoint2d
A parameter face1 at the side you want to keep after chamfering.
radius1
Type: SystemDouble
The distance from the intersection of face1 to the edge of the chamfer.
extend
Type: SystemBoolean
If true, then when one input surface is longer than the other, the chamfer surface is extended to the input surface edges.
tolerance
Type: SystemDouble
The tolerance. In in doubt, the the document's model absolute tolerance.

Return Value

Type: Brep
Array of Breps if successful.
Version Information

Rhino for Windows

Supported in: 6.2
See Also